Updating to rails 2 2 2

by  |  18-Jul-2019 23:09

To illustrate, the probably won't break anything, similar scenarios can happen that involve much larger jumps.(see [1] below for a larger discussion) In order to avoid this problem, when you update a gem, bundler will not update a dependency of that gem if another gem still depends on it. If bundler needs to update a gem that another gem depends on, it will let you know after the update has completed.

https://github.com/itume/docker-quick-start-rails This is the first time for me to running Rails on Docker.

With the new release of 2.2.2 I want to migrate to the new version.

Otherwise you'll get the dreaded (and poorly documented) "no method 'pick_template' error".

To do this, you'll need to run the following in your app base directory: script/plugin install git://github.com/activescaffold/active_-r 'rails-2.2' # add --force if necessary Next, add: script/plugin install git://github.com/ewildgoose/render_-r rails-2.2 I ran into this migrating from 2.1 to 2.3 but I've read elsewhere that the issue is rampant going from 2.1 to 2.2 as well.

I searched Git Hub and people had already patched them.

Community Discussion